curl --request POST \
--url https://api.messaging.phonovation.com/moments/1/flows/{campaignId}/participants \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"participants": [
{
"identifyBy": {
"identifier": "370329180020364",
"type": "FACEBOOK"
}
},
{
"identifyBy": {
"identifier": "test@phonovation.com",
"type": "EMAIL"
},
"variables": {
"orderNumber": 1167873391
}
},
{
"identifyBy": {
"identifier": "test2@phonovation.com",
"type": "EMAIL"
},
"variables": {
"orderNumber": 1595299041
},
"person": {
"externalId": "optional_external_person_id",
"customAttributes": {
"Contract Expiry": "2023-04-01",
"Company": "Phonovation"
},
"contactInformation": {
"email": [
{
"address": "test@phonovation.com"
}
]
}
}
}
],
"notifyUrl": "https://mydomain/callback",
"callbackData": "Callback Data"
}
'import requests
url = "https://api.messaging.phonovation.com/moments/1/flows/{campaignId}/participants"
payload = {
"participants": [
{ "identifyBy": {
"identifier": "370329180020364",
"type": "FACEBOOK"
} },
{
"identifyBy": {
"identifier": "test@phonovation.com",
"type": "EMAIL"
},
"variables": { "orderNumber": 1167873391 }
},
{
"identifyBy": {
"identifier": "test2@phonovation.com",
"type": "EMAIL"
},
"variables": { "orderNumber": 1595299041 },
"person": {
"externalId": "optional_external_person_id",
"customAttributes": {
"Contract Expiry": "2023-04-01",
"Company": "Phonovation"
},
"contactInformation": { "email": [{ "address": "test@phonovation.com" }] }
}
}
],
"notifyUrl": "https://mydomain/callback",
"callbackData": "Callback Data"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.messaging.phonovation.com/moments/1/flows/{campaignId}/participants");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "<api-key>");
request.AddJsonBody("{\n \"participants\": [\n {\n \"identifyBy\": {\n \"identifier\": \"370329180020364\",\n \"type\": \"FACEBOOK\"\n }\n },\n {\n \"identifyBy\": {\n \"identifier\": \"test@phonovation.com\",\n \"type\": \"EMAIL\"\n },\n \"variables\": {\n \"orderNumber\": 1167873391\n }\n },\n {\n \"identifyBy\": {\n \"identifier\": \"test2@phonovation.com\",\n \"type\": \"EMAIL\"\n },\n \"variables\": {\n \"orderNumber\": 1595299041\n },\n \"person\": {\n \"externalId\": \"optional_external_person_id\",\n \"customAttributes\": {\n \"Contract Expiry\": \"2023-04-01\",\n \"Company\": \"Phonovation\"\n },\n \"contactInformation\": {\n \"email\": [\n {\n \"address\": \"test@phonovation.com\"\n }\n ]\n }\n }\n }\n ],\n \"notifyUrl\": \"https://mydomain/callback\",\n \"callbackData\": \"Callback Data\"\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.post("https://api.messaging.phonovation.com/moments/1/flows/{campaignId}/participants")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"participants\": [\n {\n \"identifyBy\": {\n \"identifier\": \"370329180020364\",\n \"type\": \"FACEBOOK\"\n }\n },\n {\n \"identifyBy\": {\n \"identifier\": \"test@phonovation.com\",\n \"type\": \"EMAIL\"\n },\n \"variables\": {\n \"orderNumber\": 1167873391\n }\n },\n {\n \"identifyBy\": {\n \"identifier\": \"test2@phonovation.com\",\n \"type\": \"EMAIL\"\n },\n \"variables\": {\n \"orderNumber\": 1595299041\n },\n \"person\": {\n \"externalId\": \"optional_external_person_id\",\n \"customAttributes\": {\n \"Contract Expiry\": \"2023-04-01\",\n \"Company\": \"Phonovation\"\n },\n \"contactInformation\": {\n \"email\": [\n {\n \"address\": \"test@phonovation.com\"\n }\n ]\n }\n }\n }\n ],\n \"notifyUrl\": \"https://mydomain/callback\",\n \"callbackData\": \"Callback Data\"\n}")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.messaging.phonovation.com/moments/1/flows/{campaignId}/participants",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'participants' => [
[
'identifyBy' => [
'identifier' => '370329180020364',
'type' => 'FACEBOOK'
]
],
[
'identifyBy' => [
'identifier' => 'test@phonovation.com',
'type' => 'EMAIL'
],
'variables' => [
'orderNumber' => 1167873391
]
],
[
'identifyBy' => [
'identifier' => 'test2@phonovation.com',
'type' => 'EMAIL'
],
'variables' => [
'orderNumber' => 1595299041
],
'person' => [
'externalId' => 'optional_external_person_id',
'customAttributes' => [
'Contract Expiry' => '2023-04-01',
'Company' => 'Phonovation'
],
'contactInformation' => [
'email' => [
[
'address' => 'test@phonovation.com'
]
]
]
]
]
],
'notifyUrl' => 'https://mydomain/callback',
'callbackData' => 'Callback Data'
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
participants: [
{identifyBy: {identifier: '370329180020364', type: 'FACEBOOK'}},
{
identifyBy: {identifier: 'test@phonovation.com', type: 'EMAIL'},
variables: {orderNumber: 1167873391}
},
{
identifyBy: {identifier: 'test2@phonovation.com', type: 'EMAIL'},
variables: {orderNumber: 1595299041},
person: {
externalId: 'optional_external_person_id',
customAttributes: {'Contract Expiry': '2023-04-01', Company: 'Phonovation'},
contactInformation: {email: [{address: 'test@phonovation.com'}]}
}
}
],
notifyUrl: 'https://mydomain/callback',
callbackData: 'Callback Data'
})
};
fetch('https://api.messaging.phonovation.com/moments/1/flows/{campaignId}/participants', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"operationId": "03f2d474-0508-46bf-9f3d-d8e2c28adaea"
}Add participants to flow
curl --request POST \
--url https://api.messaging.phonovation.com/moments/1/flows/{campaignId}/participants \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"participants": [
{
"identifyBy": {
"identifier": "370329180020364",
"type": "FACEBOOK"
}
},
{
"identifyBy": {
"identifier": "test@phonovation.com",
"type": "EMAIL"
},
"variables": {
"orderNumber": 1167873391
}
},
{
"identifyBy": {
"identifier": "test2@phonovation.com",
"type": "EMAIL"
},
"variables": {
"orderNumber": 1595299041
},
"person": {
"externalId": "optional_external_person_id",
"customAttributes": {
"Contract Expiry": "2023-04-01",
"Company": "Phonovation"
},
"contactInformation": {
"email": [
{
"address": "test@phonovation.com"
}
]
}
}
}
],
"notifyUrl": "https://mydomain/callback",
"callbackData": "Callback Data"
}
'import requests
url = "https://api.messaging.phonovation.com/moments/1/flows/{campaignId}/participants"
payload = {
"participants": [
{ "identifyBy": {
"identifier": "370329180020364",
"type": "FACEBOOK"
} },
{
"identifyBy": {
"identifier": "test@phonovation.com",
"type": "EMAIL"
},
"variables": { "orderNumber": 1167873391 }
},
{
"identifyBy": {
"identifier": "test2@phonovation.com",
"type": "EMAIL"
},
"variables": { "orderNumber": 1595299041 },
"person": {
"externalId": "optional_external_person_id",
"customAttributes": {
"Contract Expiry": "2023-04-01",
"Company": "Phonovation"
},
"contactInformation": { "email": [{ "address": "test@phonovation.com" }] }
}
}
],
"notifyUrl": "https://mydomain/callback",
"callbackData": "Callback Data"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.messaging.phonovation.com/moments/1/flows/{campaignId}/participants");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "<api-key>");
request.AddJsonBody("{\n \"participants\": [\n {\n \"identifyBy\": {\n \"identifier\": \"370329180020364\",\n \"type\": \"FACEBOOK\"\n }\n },\n {\n \"identifyBy\": {\n \"identifier\": \"test@phonovation.com\",\n \"type\": \"EMAIL\"\n },\n \"variables\": {\n \"orderNumber\": 1167873391\n }\n },\n {\n \"identifyBy\": {\n \"identifier\": \"test2@phonovation.com\",\n \"type\": \"EMAIL\"\n },\n \"variables\": {\n \"orderNumber\": 1595299041\n },\n \"person\": {\n \"externalId\": \"optional_external_person_id\",\n \"customAttributes\": {\n \"Contract Expiry\": \"2023-04-01\",\n \"Company\": \"Phonovation\"\n },\n \"contactInformation\": {\n \"email\": [\n {\n \"address\": \"test@phonovation.com\"\n }\n ]\n }\n }\n }\n ],\n \"notifyUrl\": \"https://mydomain/callback\",\n \"callbackData\": \"Callback Data\"\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.post("https://api.messaging.phonovation.com/moments/1/flows/{campaignId}/participants")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"participants\": [\n {\n \"identifyBy\": {\n \"identifier\": \"370329180020364\",\n \"type\": \"FACEBOOK\"\n }\n },\n {\n \"identifyBy\": {\n \"identifier\": \"test@phonovation.com\",\n \"type\": \"EMAIL\"\n },\n \"variables\": {\n \"orderNumber\": 1167873391\n }\n },\n {\n \"identifyBy\": {\n \"identifier\": \"test2@phonovation.com\",\n \"type\": \"EMAIL\"\n },\n \"variables\": {\n \"orderNumber\": 1595299041\n },\n \"person\": {\n \"externalId\": \"optional_external_person_id\",\n \"customAttributes\": {\n \"Contract Expiry\": \"2023-04-01\",\n \"Company\": \"Phonovation\"\n },\n \"contactInformation\": {\n \"email\": [\n {\n \"address\": \"test@phonovation.com\"\n }\n ]\n }\n }\n }\n ],\n \"notifyUrl\": \"https://mydomain/callback\",\n \"callbackData\": \"Callback Data\"\n}")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.messaging.phonovation.com/moments/1/flows/{campaignId}/participants",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'participants' => [
[
'identifyBy' => [
'identifier' => '370329180020364',
'type' => 'FACEBOOK'
]
],
[
'identifyBy' => [
'identifier' => 'test@phonovation.com',
'type' => 'EMAIL'
],
'variables' => [
'orderNumber' => 1167873391
]
],
[
'identifyBy' => [
'identifier' => 'test2@phonovation.com',
'type' => 'EMAIL'
],
'variables' => [
'orderNumber' => 1595299041
],
'person' => [
'externalId' => 'optional_external_person_id',
'customAttributes' => [
'Contract Expiry' => '2023-04-01',
'Company' => 'Phonovation'
],
'contactInformation' => [
'email' => [
[
'address' => 'test@phonovation.com'
]
]
]
]
]
],
'notifyUrl' => 'https://mydomain/callback',
'callbackData' => 'Callback Data'
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
participants: [
{identifyBy: {identifier: '370329180020364', type: 'FACEBOOK'}},
{
identifyBy: {identifier: 'test@phonovation.com', type: 'EMAIL'},
variables: {orderNumber: 1167873391}
},
{
identifyBy: {identifier: 'test2@phonovation.com', type: 'EMAIL'},
variables: {orderNumber: 1595299041},
person: {
externalId: 'optional_external_person_id',
customAttributes: {'Contract Expiry': '2023-04-01', Company: 'Phonovation'},
contactInformation: {email: [{address: 'test@phonovation.com'}]}
}
}
],
notifyUrl: 'https://mydomain/callback',
callbackData: 'Callback Data'
})
};
fetch('https://api.messaging.phonovation.com/moments/1/flows/{campaignId}/participants', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"operationId": "03f2d474-0508-46bf-9f3d-d8e2c28adaea"
}Authorizations
This is the most secure authorization type and the one with the most flexibility.
API keys can be generated by calling the dedicated API method. Furthermore, API keys can have a limited scope and cover only some API methods. Lastly, they can be revoked at any time. This range of possibilities makes API keys well suited for separating the API access rights across multiple applications or use cases. Finally, the loss of an API key is easily manageable.
You can manage your API keys from GUI, or programmatically with dedicated API.
API key Authorization header example:
Authorization: App 003026bbc133714df1834b8638bb496e-8f4b3d9a-e931-478d-a994-28a725159ab9
Path Parameters
Unique identifier of the flow that participant will be added to.
Body
Request to add given participants to the Flow campaign.
Array of participants to add.
Show child attributes
Show child attributes
The URL on your callback server on which a report of operation results will be sent.
1000Additional data will be passed in the request to your callback server along with the operation results report.
2000Response
OK
Unique identifier of the operation.
"03f2d474-0508-46bf-9f3d-d8e2c28adaea"